summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2017-02-03 12:58:44 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-02-04 06:59:39 +0700
commit0294ee68a7eaee751067f0fe94d97575b28a2132 (patch)
tree857524e0e9c2543604f252971527e390e8fe8788 /development
parent8bc78d960382b87ccca29d9b2dd6d769c7d6ac9d (diff)
downloadslackbuilds-0294ee68a7eaee751067f0fe94d97575b28a2132.tar.gz
slackbuilds-0294ee68a7eaee751067f0fe94d97575b28a2132.tar.xz
development/boost-di: Added (C++14 Dependency Injection Library).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/boost-di/README25
-rw-r--r--development/boost-di/boost-di.SlackBuild67
-rw-r--r--development/boost-di/boost-di.info10
-rw-r--r--development/boost-di/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/development/boost-di/README b/development/boost-di/README
new file mode 100644
index 0000000000..d1828aede4
--- /dev/null
+++ b/development/boost-di/README
@@ -0,0 +1,25 @@
+Dependency Injection (DI) involves passing (injecting) one or more
+dependencies (or services) to a dependent object (or client) which
+become part of the client's state. It is like the Strategy Pattern,
+except the strategy is set once, at construction. DI enables loosely
+coupled designs, which are easier to maintain and test.
+
+Features:
+
+- None run-time overhead;
+- Compiles fast;
+- Gives short diagnostic messages;
+- Is non-intrusive;
+- Reduces boilerplate code;
+- Reduces testing effort;
+- Gives better control of what and how is created;
+- Gives better understanding about objects hierarchy.
+
+Design goals:
+
+- Be as fast as possible;
+- Compile as fast as possible;
+- Give short and intuitive error messages;
+- Guarantee object creation at compile-time;
+- Be as non-intrusive as possible;
+- Be easy to extend.
diff --git a/development/boost-di/boost-di.SlackBuild b/development/boost-di/boost-di.SlackBuild
new file mode 100644
index 0000000000..187f13e42f
--- /dev/null
+++ b/development/boost-di/boost-di.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for [Boost].Di
+
+# Copyright 2017 Andre Barboza, Belo Horizonte - Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=boost-di
+SRCNAM=di
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# install headers
+mkdir -p $PKG/usr/
+cp -rvf include $PKG/usr
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -raf doc/*.md example/ $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/
+ find -L . -type f -exec chmod 644 {} \;
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/boost-di/boost-di.info b/development/boost-di/boost-di.info
new file mode 100644
index 0000000000..288b487462
--- /dev/null
+++ b/development/boost-di/boost-di.info
@@ -0,0 +1,10 @@
+PRGNAM="boost-di"
+VERSION="1.0.1"
+HOMEPAGE="https://github.com/boost-experimental/di"
+DOWNLOAD="https://github.com/boost-experimental/di/archive/v1.0.1/di-1.0.1.tar.gz"
+MD5SUM="06ac7b2993837da392ca2b0b1584020f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
diff --git a/development/boost-di/slack-desc b/development/boost-di/slack-desc
new file mode 100644
index 0000000000..00b7b393e4
--- /dev/null
+++ b/development/boost-di/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+boost-di: boost-di (C++14 Dependency Injection Library)
+boost-di:
+boost-di: Dependency Injection (DI) involves passing (injecting) one or more
+boost-di: dependencies (or services) to a dependent object (or client) which
+boost-di: become part of the client's state. It is like the Strategy Pattern,
+boost-di: except the strategy is set once, at construction. DI enables loosely
+boost-di: coupled designs, which are easier to maintain and test.
+boost-di:
+boost-di:
+boost-di: https://github.com/boost-experimental/di
+boost-di: